/*-------------------------------------------------------------------------+
|  Dynamic memory package, header (SUN version)                            |
|                                                                          |
| Date of last updating: 18 November 1991                                  |
|                                                                          |
| Copyright (C) 1991 by Kazimierz Subieta.                                 |
| This software is subject to a licence agreement.                         |
| No restrictions when used for didactic purposes.                         |
+_________________________________________________________________________*/

extern int	DM_ERROR;
extern int	DM_COMPLAIN;

extern void	DmChangeSize();
extern void	DmClear();
extern void	DmClose();
extern void	DmCopy();
extern unsigned short int DmCreate();
extern void	DmDelete();
extern void	DmDistend();
extern int	DmExists();
extern void 	DmExtend();
extern void	DmExtract();
extern char *   DmPointer();
extern char *   DmTopPointer();
extern char *	DmFix();
extern char *	DmFixTop();
extern int	DmFrequency();
extern void	DmGet();
extern void	DmInit();
extern int	DmInside();
extern void	DmLeave();
extern void	DmMove();
extern void	DmMoveTop();
extern void	DmPop();
extern void	DmPush();
extern void	DmPushString();
extern void	DmPushLong();
extern void	DmPut();
extern long	DmSize();
extern unsigned short int DmSplit();
extern void	DmStatistics();
extern void	DmTop();
extern void	DmTopPop();
extern void	DmUnfix();
extern void	DmUnfixDelete();

extern int	DmCheckCons();

extern int	DmCheckCons2();

/* ======================================================================== */
