/*-------------------------------------------------------------------------+
| Dynamic memory package, virtual object store, messages header            |
| (SUN version)                                                            |
|                                                                          |
| Date of last updating: 18 November 1991                                  |
|                                                                          |
| Copyright (C) 1991 by Kazimierz Subieta.                                 |
| This software is subject to a licence agreement.                         |
| No restrictions when used for didactic purposes.                         |
+_________________________________________________________________________*/

/* Messages in dynamic memory */

#define sDM_NO_MEMORY			  1 
#define sDM_WRONG_DM 			  2
#define sDM_WRONG_DM_FILE_READ 		  3
#define sDM_PROHIBIT_OPERATION 		  4
#define sDM_TOO_MANY_DM_OBJECTS 	  5
#define sDM_WRONG_DM_FILE_OPEN 		  6
#define sDM_WRONG_DM_FILE_WRITE 	  7
#define sDM_VIOLATED_ASSERTION		  8

/* Messages in virtual object store */

#define sSTANDARD_NAME_0x 		 11
#define sUNKNOWN_NAME_0x 		 12
#define sWRONG_FILE_FOR_POINT 		 13
#define sWRONG_FILE 			 14
#define sINCONSISTENCY_GARBAGE		 15
#define sINCONSISTENCY_OWNER		 16
#define sOF_SIZE			 17
#define sWRONG_SEARCH 			 18
#define sPOINT_NOT_EXISTS 		 19
#define sATOM_OVERLAPS 			 20
#define sPOINT_WRONG_STRUCTURE 		 21
#define sINCONSISTENCY_POINT 		 22
#define sOWNER_SHOULD_BE 		 23
#define sPOINTER_REPAIRED 		 24
#define sPOINT_REPAIRED 		 25
#define sBACKWARD_REPAIRED 		 26
#define sTOEND_REPAIRED 		 27
#define sPOINT_ANYTHING 		 28
#define sFILE_SIZE_IMPROVED 		 29
#define sFILE_SIZE_UTILIZED 		 30
#define sGARBAGE_CONSISTS 		 31
#define sGARBAGE_INADEQUATE 		 32
#define sTOTAL_ATOMS 			 33
#define sTOTAL_VALUES			 34

/* End of messages in virtual object store */

extern char * FindString();
