#include <stdio.h>
#include <dynmem.h>
#include <vpos.h>

extern unsigned _stklen = 60000U;
char *ala="Jones";

main(argc, argv)
    int argc;
    char *argv[];
  {

    long TOY, JONES, SMITH, STAFF, ATTR, LINK;
    unsigned short int DMOBJECT;

    DmInit( 50000L, NULL );
    PsInit();
    PsOpen( "CompDB" );

	 /* Create objects */
    TOY   = AtmCreateAndInsert(
		  SPIDER,    PsNameCode("DEPARTMENT"), NULLPNTR, 0L );
    STAFF = AtmCreateAndInsert(
		  AGGREGATE, PsNameCode("EMPLOYEE"  ), NULLPNTR, 0L );
    JONES = AtmCreateAndInsert(
		  SPIDER,    PsNameCode("EMPLOYEE"  ), STAFF,    NULLPNTR );
    SMITH = AtmCreateAndInsert(
		  SPIDER,    PsNameCode("EMPLOYEE"  ), STAFF,    NULLPNTR );

	/* Create and insert attributes */
    DMOBJECT = AtmCreate( VPOSSTRING, PsNameCode("NAME") );
    AtmDetValue( DMOBJECT, ala, (long)15 );
    AtmInsert( DMOBJECT, JONES, NULLPNTR );
    DMOBJECT = AtmCreate( VPOSINT, PsNameCode("SALARY") );
    ATTR = AtmInsLast( DMOBJECT, JONES );
    AtmIntAssign( ATTR, (long)12345 );

    DMOBJECT = AtmCreate( VPOSSTRING, PsNameCode("NAME") );
    AtmDetValue( DMOBJECT, "Smith", (long)25 );
    AtmInsert( DMOBJECT, SMITH, NULLPNTR );
    DMOBJECT = AtmCreate( VPOSINT, PsNameCode("SALARY") );
    ATTR = AtmInsLast( DMOBJECT, SMITH );
    AtmIntAssign( ATTR, (long)54321U );

    DMOBJECT = AtmCreate( VPOSSTRING, PsNameCode("DNAME") );
    AtmDetValue( DMOBJECT, "Toy", (long)20 );
    AtmInsert( DMOBJECT, TOY, NULLPNTR );
    DMOBJECT = AtmCreate( VPOSSTRING, PsNameCode("LOCATION") );
    AtmDetValue( DMOBJECT, "Paris", (long)15 );
    AtmInsLast( DMOBJECT, TOY );
    DMOBJECT = AtmCreate( VPOSSTRING, PsNameCode("LOCATION") );
    AtmDetValue( DMOBJECT, "Berlin", (long)15 );
    AtmInsLast( DMOBJECT, TOY );

      /* Create and insert links */
    LINK = AtmCreateAndInsert(
		  VPOSLINK, PsNameCode("EMPLOYS" ), TOY, NULLPNTR );
    AtmPntAssign( LINK, JONES, VPOSLINK );
    LINK = AtmInsCpLast( LINK, TOY );
    AtmPntAssign( LINK, SMITH, VPOSLINK );

    DMOBJECT = AtmCreate( VPOSLINK, PsNameCode("WORKS_IN" ) );
    AtmDetPointer( DMOBJECT, TOY );
    LINK = AtmInsLast( DMOBJECT, JONES );
    AtmInsCpLast( LINK, SMITH );

    PsClose();

    PsOpen( "CompDB" );
    DispWholeVPOS( stdout );
    PsClose();

    DmClose();
    exit( 0 );
  }

